summaryrefslogtreecommitdiff
path: root/tools/hal-system-killswitch-get-power
diff options
context:
space:
mode:
Diffstat (limited to 'tools/hal-system-killswitch-get-power')
-rwxr-xr-xtools/hal-system-killswitch-get-power26
1 files changed, 26 insertions, 0 deletions
diff --git a/tools/hal-system-killswitch-get-power b/tools/hal-system-killswitch-get-power
new file mode 100755
index 00000000..67ba021e
--- /dev/null
+++ b/tools/hal-system-killswitch-get-power
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# Copyright (C) 2007 Bastien Nocera <bnocera@redhat.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# Check for environment variables
+if [ -z "$HAL_PROP_KILLSWITCH_ACCESS_METHOD" ]; then
+ echo "org.freedesktop.Hal.Device.UnknownError" >&2
+ echo "Missing or empty environment variable(s)." >&2
+ echo "This script should be started by hald." >&2
+ exit 1
+fi
+
+# TODO: check privilege
+
+if [ -n "$HALD_UNAME_S" -a -x ./$HALD_UNAME_S/hal-system-killswitch-get-power-$HALD_UNAME_S ]; then
+ exec ./$HALD_UNAME_S/hal-system-killswitch-get-power-$HALD_UNAME_S $@
+else
+ echo "org.freedesktop.Hal.Device.UnknownError" >&2
+ echo "No back-end for your operating system" >&2
+ exit 1
+fi